
QGIS Application - Feature request #3601

Expose all map tools that inherit from QgsMapTool to API

2011-03-11 11:42 PM - Nathan Woodrow

Status: Open

Priority: Low

Assignee:

Category: Python plugins

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13660

Description

Most of the handy tools eg qgsmaptooladdfeature and the editing tool, that people could use to build external qgis based apps are not

exposed via the API and have to be hand built in each app, which can be pretty involved.

I think we should expose anything that inherits from [[QgsMapTool]]; which would make building external editing programs a lot easier for

beginners.

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-09-16 03:45 PM - Borys Jurgiel

- Pull Request or Patch supplied set to No

- Assignee deleted (Borys Jurgiel)

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
